System.Data [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Data.InternalDataCollectionBase System.ComponentModel.DefaultProperty("Table") System.ComponentModel.DefaultEvent("CollectionChanged") System.ComponentModel.Editor("Microsoft.VSDesigner.Data.Design.DataRelationCollectionEditor, Microsoft.VSDesigner, Version=8.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", "System.Drawing.Design.UITypeEditor, System.Drawing, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a")

A object enables navigation between related parent/child objects.

You create a object by defining it as a property of either the or the , instead of by directly using a constructor. (Use the property of the , or the property of the .)

To access the collection, use the property of the object.

As soon as the collection exists you can manage the objects it contains by using methods such as , , and .

Represents the collection of objects for this .

- Constructor
  To be added

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void ``

  If the relation is successfully added to the collection, the event occurs.

  When a object is added to the collection, and objects are created by default if they do not already exist.

  Adds a to the .

  The DataRelation to add to the collection. 1.0.5000.0 2.0.0.0
- Method
  System.Data.DataRelation `` ``

  When a object is added to the collection, and objects are created by default if they do not already exist.

  Creates a with a specified parent and child column, and adds it to the collection.

  The created relation.

  The parent column of the relation. The child column of the relation. 1.0.5000.0 2.0.0.0
- Method
  System.Data.DataRelation `` ``

  When a object is added to the collection, and objects are created by default if they do not already exist.

  Creates a with the specified parent and child columns, and adds it to the collection.

  The created relation.

  The parent columns of the relation. The child columns of the relation. 1.0.5000.0 2.0.0.0
- Method
  System.Data.DataRelation `` `` ``

  When a object is added to the collection, and objects are created by default if they do not already exist.

  Creates a with the specified name, and parent and child columns, and adds it to the collection.

  The created relation.

  The name of the relation. The parent column of the relation. The child column of the relation. 1.0.5000.0 2.0.0.0
- Method
  System.Data.DataRelation `` `` ``

  If the relation is successfully added to the collection, the event occurs.

  When a object is added to the collection, and objects are created by default if they do not already exist.

  Creates a with the specified name and arrays of parent and child columns, and adds it to the collection.

  The created DataRelation.

  The name of the DataRelation to create. An array of parent objects. An array of child DataColumn objects. 1.0.5000.0 2.0.0.0
- Method
  System.Data.DataRelation `` `` `` ``

  When a object is added to the collection, and objects are created by default if they do not already exist. To prevent this, you can set to false.

  Creates a with the specified name, parent and child columns, with optional constraints according to the value of the parameter, and adds it to the collection.

  The created relation.

  The name of the relation. The parent column of the relation. The child column of the relation. true to create constraints; otherwise false. (The default is true). 1.0.5000.0 2.0.0.0
- Method
  System.Data.DataRelation `` `` `` ``

  When a object is added to the collection, and objects are created by default if they do not already exist.

  Creates a with the specified name, arrays of parent and child columns, and value specifying whether to create a constraint, and adds it to the collection.

  The created relation.

  The name of the DataRelation to create. An array of parent objects. An array of child DataColumn objects. true to create a constraint; otherwise false. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added

  Performs verification on the table.

  The relation to check. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  If has been called, AddRange does not add any objects to the collection until is called. At the time that EndInit is called, the collection will be populated with the items specified in the most recent call to AddRange. If AddRange is called multiple times within a BeginInit / EndInit sequence, only those items specified in the most recent call to AddRange are added.

  Copies the elements of the specified array to the end of the collection.

  The array of objects to add to the collection. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` To be added

  Verifies whether the specified can be removed from the collection.

  true if the can be removed; otherwise, false.

  The relation to perform the check against. 1.0.5000.0 2.0.0.0
- Method
  System.Void To be added

  Clears the collection of any relations.

  1.0.5000.0
  2.0.0.0
- Event
  System.ComponentModel.CollectionChangeEventHandler To be added

  Occurs when the collection has changed.

  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean `` To be added

  Verifies whether a with the specific name (case insensitive) exists in the collection.

  true, if a relation with the specified name exists; otherwise false.

  The name of the relation to find. 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void `` `` To be added.

  Copies the collection of objects starting at the specified index.

  The array of objects to copy the collection to. The index to start from.
- Method
  System.Data.DataSet To be added

  This method supports the .NET Framework infrastructure and is not intended to be used directly from your code.

  The referenced DataSet.

  1.0.5000.0
  2.0.0.0
- Method
  System.Int32 `` To be added

  Gets the index of the specified object.

  The 0-based index of the relation, or -1 if the relation is not found in the collection.

  The relation to search for. 1.0.5000.0 2.0.0.0
- Method
  System.Int32 `` To be added

  Gets the index of the specified by name.

  The zero-based index of the relation with the specified name, or -1 if the relation does not exist in the collection.

  The name of the relation to find. 1.0.5000.0 2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  System.Data.DataRelation `` To be added. To be added. To be added. To be added.
- Property
  1.0.5000.0
  2.0.0.0
  System.Data.DataRelation `` To be added. To be added. To be added. To be added.
- Method
  System.Void ``

  Raising an event invokes the event handler through a delegate. For an overview, see Raising an Event.

  Raises the event.

  A that contains the event data. 1.0.5000.0 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  System.Void ``

  Raising an event invokes the event handler through a delegate. For an overview, see Raising an Event.

  Raises the event.

  A that contains the event data.
- Method
  System.Void ``

  The event is fired if the remove operation succeeds. Note that removing the relation does not remove any associated constraint objects.

  Removes the specified relation from the collection.

  The relation to remove. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  The event is fired if the remove operation succeeds.

  Removes the relation with the specified name from the collection.

  The name of the relation to remove. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  The event is fired if the remove operation succeeds.

  Removes the relation at the specified index from the collection.

  The index of the relation to remove. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added

  Performs a verification on the specified object.

  The DataRelation object to verify. 1.0.5000.0 2.0.0.0